"""
Prestashop responses for calls done by the connector.

This set of responses has been recorded for the synchronizations
with a Prestashop 1.7 version with demo data.

It has been recorded using ``prestashoperpconnect.unit.backend_adapter.record``
and ``prestashoperpconnect.unit.backend_adapter.output_recorder``
"""
import time


FMT = "%Y-%m-%d %H:%M:%S"

prestashop_base_responses = \
{('get', ('shop_groups', 1, None)): {'shop_group': {'active': '1',
                                                     'deleted': '0',
                                                     'id': '1',
                                                     'name': 'Default',
                                                     'share_customer': '0',
                                                     'share_order': '0',
                                                     'share_stock': '0'}},
 ('get', ('shops', 1, None)): {'shop': {'active': '1',
                                         'deleted': '0',
                                         'id': '1',
                                         'id_category': '2',
                                         'id_shop_group': '1',
                                         'id_theme': '1',
                                         'name': 'akretion'}},
 ('search', ('shop_groups', frozenset([('limit', '0,1000')]))): [1],
 ('search', ('shops', frozenset([('limit', '0,1000')]))): [1],


 ('get', ('languages', 1, None)): {'language': {'active': '1',
                                                'date_format_full': 'Y-m-d H:i:s',
                                                'date_format_lite': 'Y-m-d',
                                                'id': '1',
                                                'is_rtl': '0',
                                                'iso_code': 'fr',
                                                'language_code': 'fr',
                                                'name': u'Fran\xe7ais (French)'}},
 ('search', ('languages', None)): [1],
 
 ('get', ('categories', 1, None)): {'category': {'active': '1',
                                                 'associations': {'categories': {'attrs': {'node_type': 'category'},
                                                                                 'category': {'id': '2'}},
                                                                  'products': {'attrs': {'node_type': 'product'},
                                                                               'value': ''}},
                                                 'date_add': '2013-10-14 21:46:26',
                                                 'date_upd': '2013-10-14 21:46:26',
                                                 'description': {'language': [{'attrs': {'id': '1'},
                                                                               'value': ''}]},
                                                 'id': '1',
                                                 'id_parent': '0',
                                                 'id_shop_default': '1',
                                                 'is_root_category': '0',
                                                 'level_depth': '0',
                                                 'link_rewrite': {'language': [{'attrs': {'id': '1'},
                                                                                'value': 'root'}]},
                                                 'meta_description': {'language': [{'attrs': {'id': '1'},
                                                                                    'value': ''}]},
                                                 'meta_keywords': {'language': [{'attrs': {'id': '1'},
                                                                                 'value': ''}]},
                                                 'meta_title': {'language': [{'attrs': {'id': '1'},
                                                                              'value': ''}]},
                                                 'name': {'language': [{'attrs': {'id': '1'},
                                                                        'value': 'Root'}]},
                                                 'nb_products_recursive': {'attrs': {'not_filterable': 'true'},
                                                                           'value': '7'},
                                                 'position': '1'}},
 ('get', ('categories', 2, None)): {'category': {'active': '1',
                                                 'associations': {'categories': {'attrs': {'node_type': 'category'},
                                                                                 'category': [{'id': '3'},
                                                                                              {'id': '4'},
                                                                                              {'id': '5'}]},
                                                                  'products': {'attrs': {'node_type': 'product'},
                                                                               'product': [{'id': '1'},
                                                                                           {'id': '2'},
                                                                                           {'id': '4'},
                                                                                           {'id': '5'}]}},
                                                 'date_add': '2013-10-14 21:46:26',
                                                 'date_upd': '2013-10-14 21:46:26',
                                                 'description': {'language': [{'attrs': {'id': '1'},
                                                                               'value': ''}]},
                                                 'id': '2',
                                                 'id_parent': '1',
                                                 'id_shop_default': '1',
                                                 'is_root_category': '1',
                                                 'level_depth': '1',
                                                 'link_rewrite': {'language': [{'attrs': {'id': '1'},
                                                                                'value': 'home'}]},
                                                 'meta_description': {'language': [{'attrs': {'id': '1'},
                                                                                    'value': ''}]},
                                                 'meta_keywords': {'language': [{'attrs': {'id': '1'},
                                                                                 'value': ''}]},
                                                 'meta_title': {'language': [{'attrs': {'id': '1'},
                                                                              'value': ''}]},
                                                 'name': {'language': [{'attrs': {'id': '1'},
                                                                        'value': 'Accueil'}]},
                                                 'nb_products_recursive': {'attrs': {'not_filterable': 'true'},
                                                                           'value': '7'},
                                                 'position': '1'}},
 ('get', ('categories', 3, None)): {'category': {'active': '1',
                                                 'associations': {'categories': {'attrs': {'node_type': 'category'},
                                                                                 'value': ''},
                                                                  'products': {'attrs': {'node_type': 'product'},
                                                                               'product': [{'id': '1'},
                                                                                           {'id': '2'},
                                                                                           {'id': '5'}]}},
                                                 'date_add': '2013-10-14 21:46:34',
                                                 'date_upd': '2013-10-14 21:46:34',
                                                 'description': {'language': [{'attrs': {'id': '1'},
                                                                               'value': u'Il est temps, pour le meilleur lecteur de musique, de remonter sur sc\xe8ne pour un rappel. Avec le nouvel iPod, le monde est votre sc\xe8ne.'}]},
                                                 'id': '3',
                                                 'id_parent': '2',
                                                 'id_shop_default': '1',
                                                 'is_root_category': '0',
                                                 'level_depth': '2',
                                                 'link_rewrite': {'language': [{'attrs': {'id': '1'},
                                                                                'value': 'musique-ipods'}]},
                                                 'meta_description': {'language': [{'attrs': {'id': '1'},
                                                                                    'value': ''}]},
                                                 'meta_keywords': {'language': [{'attrs': {'id': '1'},
                                                                                 'value': ''}]},
                                                 'meta_title': {'language': [{'attrs': {'id': '1'},
                                                                              'value': ''}]},
                                                 'name': {'language': [{'attrs': {'id': '1'},
                                                                        'value': 'iPods'}]},
                                                 'nb_products_recursive': {'attrs': {'not_filterable': 'true'},
                                                                           'value': '3'},
                                                 'position': '1'}},
 ('search', ('categories', frozenset([('limit', '0,1000')]))): [1, 2, 3, 4, 5],
 }
